Update a post
Update a draft or scheduled post.
Authorization
Bearer API key (rlay_live_* or rlay_test_*)
In: header
Path Parameters
Resource ID
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X PATCH "https://example.com/v1/posts/string" \ -H "Content-Type: application/json" \ -d '{}'{ "id": "string", "status": "draft", "content": "string", "scheduled_at": "string", "published_at": "string", "targets": { "property1": { "status": "draft", "platform": "twitter", "accounts": [ { "id": "string", "username": "string", "display_name": "string", "avatar_url": "string", "url": "string", "platform_post_id": "string", "target_id": "string" } ], "error": { "code": "string", "message": "string", "detail": "string" } }, "property2": { "status": "draft", "platform": "twitter", "accounts": [ { "id": "string", "username": "string", "display_name": "string", "avatar_url": "string", "url": "string", "platform_post_id": "string", "target_id": "string" } ], "error": { "code": "string", "message": "string", "detail": "string" } } }, "media": [ { "url": "http://example.com", "type": "image", "thumbnail": "string" } ], "target_options": { "property1": { "property1": null, "property2": null }, "property2": { "property1": null, "property2": null } }, "timezone": "string", "metrics": { "impressions": 0, "reach": 0, "likes": 0, "comments": 0, "shares": 0, "saves": 0, "clicks": 0, "views": 0, "engagement_rate": 0 }, "recycling": { "id": "string", "enabled": true, "gap": 0, "gap_freq": "day", "start_date": "2019-08-24T14:15:22Z", "expire_count": 0, "expire_date": "2019-08-24T14:15:22Z", "content_variations": [ "string" ], "recycle_count": 0, "content_variation_index": 0, "next_recycle_at": "2019-08-24T14:15:22Z", "last_recycled_at": "2019-08-24T14:15:22Z", "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z" }, "recycled_from_id": "string", "thread_group_id": "string", "thread_position": 0, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z"}{ "error": { "code": "string", "message": "string", "details": { "property1": null, "property2": null } }}{ "error": { "code": "string", "message": "string", "details": { "property1": null, "property2": null } }}Found something wrong? Help us improve this page.
Unpublish a published post POST
Attempt to delete the post from each platform and set the post status to cancelled.
Update metadata on a published video POST
Update title, description, tags, visibility, or other metadata on an already-published YouTube video without re-uploading. Use '_' as the post ID with video_id + account_id for videos not published through RelayAPI.